## python-ovsdbapp 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

fixtures>=3.0.0 # Apache-2.0/BSD
ovs>=2.7.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-ovsdbapp (0.4.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Jun 2017 08:49:26 +0000

python-ovsdbapp (0.4.0-0ubuntu2) artful; urgency=medium

  * d/rules: Switch to using ostestr for unit test execution, scope tests
    to unit tests only.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 09:13:34 +0100

python-ovsdbapp (0.4.0-0ubuntu1) artful; urgency=low

  * Initial version.

 -- James Page <james.page@ubuntu.com>  Wed, 17 May 2017 12:49:54 +0100

=== debian/control ===
Source: python-ovsdbapp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3),
               python-pbr,
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-fixtures,
                     python-openvswitch,
                     python-os-testr,
                     python-oslotest (>= 1.10.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-fixtures,
                     python3-openvswitch,
                     python3-os-testr,
                     python3-oslotest (>= 1.10.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://www.openstack.org/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
Testsuite: autopkgtest-pkg-python

Package: python-ovsdbapp
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: A library for creating OVSDB applications
 The ovdsbapp library is useful for creating applications that communicate
 via Open_vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It
 wraps the Python 'ovs' and adds an event loop and friendly transactions.
 .
 This package provides the Python 2 module.

Package: python3-ovsdbapp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: A library for creating OVSDB applications
 The ovdsbapp library is useful for creating applications that communicate
 via Open_vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It
 wraps the Python 'ovs' and adds an event loop and friendly transactions.
 .
 This package provides the Python 3 module.

## python-ovsdbapp 0.9.1

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 fixtures>=3.0.0 # Apache-2.0/BSD
+netaddr>=0.7.18 # BSD
 ovs>=2.7.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
+six>=1.10.0 # MIT

=== debian/changelog ===
python-ovsdbapp (0.9.1-0ubuntu1) bionic; urgency=medium

  * New upstream point release.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 13:21:04 -0500

python-ovsdbapp (0.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 15:08:10 +0000

python-ovsdbapp (0.6.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 09:13:08 +0000

=== debian/control ===
Source: python-ovsdbapp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3),
 python-pbr (>= 2.0.0),
 python-setuptools (>= 0.6b3),
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.17.0),
 python-openvswitch (>= 2.7.0),
 python-os-testr (>= 1.0.0),
 python-oslotest (>= 1:1.10.0),
 python-six (>= 1.10.0),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.17.0),
 python3-openvswitch (>= 2.7.0),
 python3-os-testr (>= 1.0.0),
 python3-oslotest (>= 1:1.10.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.1.2
Homepage: http://www.openstack.org/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
Testsuite: autopkgtest-pkg-python

Package: python-ovsdbapp
Architecture: all
Depends:
 python-fixtures (>= 3.0.0),
 python-netaddr (>= 0.7.18),
 python-openvswitch (>= 2.7.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: A library for creating OVSDB applications
 The ovdsbapp library is useful for creating applications that communicate
 via Open_vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It
 wraps the Python 'ovs' and adds an event loop and friendly transactions.
 .
 This package provides the Python 2 module.

Package: python3-ovsdbapp
Architecture: all
Depends:
 python3-fixtures (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.7.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: A library for creating OVSDB applications
 The ovdsbapp library is useful for creating applications that communicate
 via Open_vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It
 wraps the Python 'ovs' and adds an event loop and friendly transactions.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=ovsdbapp

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=./ovsdbapp/tests/unit python2-ostestr
	OS_TEST_PATH=./ovsdbapp/tests/unit python3-ostestr
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/ovsdbapp/ovsdbapp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ovsdbapp 0.12.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 fixtures>=3.0.0 # Apache-2.0/BSD
 netaddr>=0.7.18 # BSD
-ovs>=2.7.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
+ovs>=2.8.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT

=== debian/changelog ===
python-ovsdbapp (0.12.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 06 Aug 2018 17:44:29 +0000

python-ovsdbapp (0.12.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests via pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 12:21:47 -0400

python-ovsdbapp (0.11.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:05:28 +0100

python-ovsdbapp (0.9.1-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Update Vcs-Browser/Vcs-Git to point at lp:~ubuntu-server-dev,
      run basic autopkgtests, and set debhelper >= 10~.
    - d/rules: Build with pybuild.
    - d/gbp.conf: Retain for pristine-tar.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 May 2018 14:53:00 -0400

python-ovsdbapp (0.9.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 00:08:54 +0000

python-ovsdbapp (0.9.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 11:21:04 +0000

python-ovsdbapp (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #878248)

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Oct 2017 18:22:16 +0200

=== debian/control ===
Source: python-ovsdbapp
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.18.1),
 python-openvswitch (>= 2.8.0),
 python-os-testr (>= 1.0.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-six (>= 1.10.0),
 python-stestr,
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-fixtures (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.8.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
Homepage: https://github.com/openstack/ovsdbapp
Testsuite: autopkgtest-pkg-python

Package: python-ovsdbapp
Architecture: all
Depends:
 python-fixtures (>= 3.0.0),
 python-netaddr (>= 0.7.18),
 python-openvswitch (>= 2.8.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ovsdbapp-doc,
Description: library for creating OVSDB applications - Python 2.7
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the Python 2.7 module.

Package: python-ovsdbapp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for creating OVSDB applications - doc
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the documentation.

Package: python3-ovsdbapp
Architecture: all
Depends:
 python3-fixtures (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovsdbapp-doc,
Description: library for creating OVSDB applications - Python 3.x
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ovsdbapp.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=ovsdbapp

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=./ovsdbapp/tests/unit pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-ovsdbapp-doc/usr/share/doc/python-ovsdbapp-doc/html
	dh_sphinxdoc
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-ovsdbapp 0.12.2

=== debian/changelog ===
python-ovsdbapp (0.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 23:22:48 +0100

python-ovsdbapp (0.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 15:25:16 +0200

python-ovsdbapp (0.12.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building the sphinx doc with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 13:59:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,62 +1,59 @@
 Source: python-ovsdbapp
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 9),
  dh-python,
  openstack-pkg-tools,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.5.1),
 Build-Depends-Indep:
- python-coverage (>= 4.0),
- python-fixtures (>= 3.0.0),
- python-hacking (>= 0.12.0),
- python-netaddr (>= 0.7.18),
- python-openstackdocstheme (>= 1.18.1),
+ python-coverage,
+ python-fixtures,
+ python-hacking,
+ python-netaddr,
  python-openvswitch (>= 2.8.0),
  python-os-testr (>= 1.0.0),
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 1:3.2.0),
- python-six (>= 1.10.0),
- python-stestr,
- python-testscenarios (>= 0.4),
+ python-six,
+ python-stestr (>= 2.0.0),
+ python-testscenarios,
  python-testtools (>= 2.2.0),
- python3-fixtures (>= 3.0.0),
- python3-netaddr (>= 0.7.18),
+ python3-fixtures,
+ python3-netaddr,
+ python3-openstackdocstheme (>= 1.18.1),
  python3-openvswitch (>= 2.8.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-six (>= 1.10.0),
- python3-stestr,
- python3-testscenarios (>= 0.4),
+ python3-six,
+ python3-stestr (>= 2.0.0),
+ python3-testscenarios,
  python3-testtools (>= 2.2.0),
  subunit,
- testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp.git
 Homepage: https://github.com/openstack/ovsdbapp
-Testsuite: autopkgtest-pkg-python
 
 Package: python-ovsdbapp
 Architecture: all
 Depends:
- python-fixtures (>= 3.0.0),
- python-netaddr (>= 0.7.18),
+ python-fixtures,
+ python-netaddr,
  python-openvswitch (>= 2.8.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
- python-six (>= 1.10.0),
+ python-six,
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -88,12 +85,12 @@
 Package: python3-ovsdbapp
 Architecture: all
 Depends:
- python3-fixtures (>= 3.0.0),
- python3-netaddr (>= 0.7.18),
+ python3-fixtures,
+ python3-netaddr,
  python3-openvswitch (>= 2.8.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ovsdbapp.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=./ovsdbapp/tests/unit pkgos-dh_auto_test 'ovsdbapp\.tests\.unit.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-ovsdbapp-doc/usr/share/doc/python-ovsdbapp-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-ovsdbapp 0.15.0

=== debian/changelog ===
python-ovsdbapp (0.15.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Mar 2019 10:42:15 +0000

python-ovsdbapp (0.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:41:06 +0000

python-ovsdbapp (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:46:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-ovsdbapp
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools,
  python-all,
@@ -14,46 +15,53 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.5.1),
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-coverage,
- python-fixtures,
- python-hacking,
- python-netaddr,
+ python-coverage (>= 4.0),
+ python-fixtures (>= 3.0.0),
+ python-hacking (>= 0.12.0),
+ python-netaddr (>= 0.7.18),
  python-openvswitch (>= 2.8.0),
  python-os-testr (>= 1.0.0),
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 1:3.2.0),
- python-six,
+ python-six (>= 1.10.0),
  python-stestr (>= 2.0.0),
- python-testscenarios,
+ python-subunit (>= 1.0.0),
+ python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
- python3-fixtures,
- python3-netaddr,
+ python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 0.12.0),
+ python3-netaddr (>= 0.7.18),
  python3-openstackdocstheme (>= 1.18.1),
  python3-openvswitch (>= 2.8.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-six,
+ python3-reno (>= 2.5.0),
+ python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
- python3-testscenarios,
+ python3-subunit (>= 1.0.0),
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  subunit,
+ testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
 Homepage: https://github.com/openstack/ovsdbapp
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ovsdbapp
 Architecture: all
 Depends:
- python-fixtures,
- python-netaddr,
+ python-fixtures (>= 3.0.0),
+ python-netaddr (>= 0.7.18),
  python-openvswitch (>= 2.8.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
- python-six,
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -85,12 +93,12 @@
 Package: python3-ovsdbapp
 Architecture: all
 Depends:
- python3-fixtures,
- python3-netaddr,
+ python3-fixtures (>= 3.0.0),
+ python3-netaddr (>= 0.7.18),
  python3-openvswitch (>= 2.8.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-six,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-ovsdbapp 0.17.0

=== debian/changelog ===
python-ovsdbapp (0.17.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 22:37:34 +0000

python-ovsdbapp (0.17.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 11:52:25 +0100

python-ovsdbapp (0.16.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support.
    - d/control: Drop py2 BD's and python-ovsdbapp binary package.
    - d/rules: Drop --with python2 and add --no-py2 as appropriate.
  * d/rules: Use --with sphinxdoc to ensure doc build is completed.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Sep 2019 10:17:42 +0100

python-ovsdbapp (0.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:50:28 -0400

=== debian/control ===
--- 
+++ 
@@ -9,27 +9,11 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-coverage (>= 4.0),
- python-fixtures (>= 3.0.0),
- python-hacking (>= 0.12.0),
- python-netaddr (>= 0.7.18),
- python-openvswitch (>= 2.8.0),
- python-os-testr (>= 1.0.0),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-six (>= 1.10.0),
- python-stestr (>= 2.0.0),
- python-subunit (>= 1.0.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 0.12.0),
@@ -45,35 +29,12 @@
  python3-subunit (>= 1.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- subunit,
- testrepository,
+ python3-testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
 Homepage: https://github.com/openstack/ovsdbapp
 Testsuite: autopkgtest-pkg-python
-
-Package: python-ovsdbapp
-Architecture: all
-Depends:
- python-fixtures (>= 3.0.0),
- python-netaddr (>= 0.7.18),
- python-openvswitch (>= 2.8.0),
- python-oslo.utils (>= 3.33.0),
- python-pbr (>= 2.0.0),
- python-six (>= 1.10.0),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-ovsdbapp-doc,
-Description: library for creating OVSDB applications - Python 2.7
- The ovdsbapp library is useful for creating applications that communicate via
- Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
- the Python 'ovs' and adds an event loop and friendly transactions. It features
- an thread-based event loop for using ovs.db.Idl, transaction support, native
- OVSDB communication.
- .
- This package contains the Python 2.7 module.
 
 Package: python-ovsdbapp-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ovsdbapp.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=ovsdbapp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=./ovsdbapp/tests/unit pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-ovsdbapp-doc/usr/share/doc/python-ovsdbapp-doc/html
	dh_sphinxdoc
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-ovsdbapp 1.0.0

=== debian/changelog ===
python-ovsdbapp (1.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 15:59:55 -0500

python-ovsdbapp (0.18.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Retain autopkgtest-pkg-python testsuite.
    - d/control: Keep debhelper compat level 10.
    - d/rules: Build with pybuild.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 11 Dec 2019 13:08:31 +0100

python-ovsdbapp (0.17.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:07:41 +0200

python-ovsdbapp (0.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:43:58 +0200

python-ovsdbapp (0.15.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:11:07 +0200

python-ovsdbapp (0.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:00:02 +0100

## python-ovsdbapp 1.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 fixtures>=3.0.0 # Apache-2.0/BSD
 netaddr>=0.7.18 # BSD
-oslo.utils>=3.33.0 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.20.0 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-ovsdbapp (1.1.0-0ubuntu2) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Hemanth Nakkina ]
  * Don't give up when an Exception happens in idl.run (LP: #1895727)
    - d/p/0001-Don-t-give-up-when-an-Exception-happens-in-idl.run.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 17:12:59 -0400

python-ovsdbapp (1.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:32:46 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -18,21 +18,19 @@
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 0.12.0),
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-openvswitch (>= 2.8.0),
  python3-os-testr (>= 1.0.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils,
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
- python3-subunit (>= 1.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-testrepository,
-Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ovsdbapp
+ subunit,
+Standards-Version: 4.4.1
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
 Homepage: https://github.com/openstack/ovsdbapp
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ovsdbapp.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=ovsdbapp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=./ovsdbapp/tests/unit pkgos-dh_auto_test --no-py2 'ovsdbapp\.tests\.unit.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-ovsdbapp-doc/usr/share/doc/python-ovsdbapp-doc/html
	dh_sphinxdoc
endif

## python-ovsdbapp 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,3 @@
 netaddr>=0.7.18 # BSD
 ovs>=2.8.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT

=== debian/changelog ===
python-ovsdbapp (1.5.0-0ubuntu2) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Hemanth Nakkina ]
  * Don't give up when an Exception happens in idl.run (LP: #1895727)
    - d/p/0001-Don-t-give-up-when-an-Exception-happens-in-idl.run.patch

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Oct 2020 14:45:23 +0000

python-ovsdbapp (1.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:57:23 -0400

python-ovsdbapp (1.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:59:10 -0400

python-ovsdbapp (1.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:18:34 -0400

=== debian/control ===
--- 
+++ 
@@ -6,32 +6,34 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 0.12.0),
+ python3-isort (>= 4.3.21),
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-openvswitch (>= 2.8.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.utils,
  python3-oslotest (>= 1:3.2.0),
  python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
+ python3-subunit (>= 1.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
-Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
-Homepage: https://github.com/openstack/ovsdbapp
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
+Homepage: https://opendev.org/openstack/ovsdbapp
 Testsuite: autopkgtest-pkg-python
 
 Package: python-ovsdbapp-doc

## python-ovsdbapp 1.6.0

=== debian/changelog ===
python-ovsdbapp (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 21:56:57 +0200

python-ovsdbapp (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 12:07:47 +0200

python-ovsdbapp (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 17:50:58 +0200

python-ovsdbapp (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:41:03 +0200

python-ovsdbapp (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:30:28 +0200

python-ovsdbapp (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:53:48 +0200

python-ovsdbapp (0.17.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 13:01:43 +0100

=== debian/control ===
Source: python-ovsdbapp
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-netaddr,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-os-testr,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp.git
Homepage: https://github.com/openstack/ovsdbapp

Package: python-ovsdbapp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for creating OVSDB applications - doc
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the documentation.

Package: python3-ovsdbapp
Architecture: all
Depends:
 python3-fixtures,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovsdbapp-doc,
Description: library for creating OVSDB applications - Python 3.x
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the Python 3.x module.

## python-ovsdbapp 1.6.1

=== debian/changelog ===
python-ovsdbapp (1.6.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 10:21:38 +0000

## python-ovsdbapp 1.9.0

=== debian/changelog ===
python-ovsdbapp (1.9.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 12:50:57 -0400

python-ovsdbapp (1.8.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:21:25 +0000

python-ovsdbapp (1.7.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 14:52:19 +0000

## python-ovsdbapp 1.9.4

=== debian/changelog ===
python-ovsdbapp (1.9.4-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * New stable point release for OpenStack Wallaby (LP: #2007919).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Jul 2023 11:59:42 -0400

python-ovsdbapp (1.9.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 23:33:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,40 @@
 Source: python-ovsdbapp
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-fixtures,
- python3-hacking,
+ python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 0.12.0),
  python3-isort (>= 4.3.21),
- python3-netaddr,
- python3-openstackdocstheme,
- python3-openvswitch,
- python3-os-testr,
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-openvswitch (>= 2.10.0),
+ python3-os-testr (>= 1.0.0),
  python3-oslo.utils,
- python3-oslotest,
- python3-stestr,
- python3-testscenarios,
- python3-testtools,
+ python3-oslotest (>= 1:3.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp.git
-Homepage: https://github.com/openstack/ovsdbapp
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
+Homepage: https://opendev.org/openstack/ovsdbapp
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ovsdbapp-doc
 Section: doc
@@ -50,11 +54,12 @@
 Package: python3-ovsdbapp
 Architecture: all
 Depends:
- python3-fixtures,
- python3-netaddr,
- python3-openvswitch,
- python3-oslo.utils,
- python3-pbr,
+ python3-fixtures (>= 3.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openvswitch (>= 2.10.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-ovsdbapp 1.12.0

=== debian/changelog ===
python-ovsdbapp (1.12.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 21:10:01 +0000

python-ovsdbapp (1.12.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:37:17 -0400

python-ovsdbapp (1.11.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:44:25 -0400

python-ovsdbapp (1.10.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:47:48 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-isort (>= 4.3.21),
  python3-netaddr (>= 0.7.18),
  python3-openstackdocstheme (>= 2.2.1),

## python-ovsdbapp 1.12.3

=== debian/changelog ===
python-ovsdbapp (1.12.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:01:06 +0000

python-ovsdbapp (1.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:29:41 +0200

python-ovsdbapp (1.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:40:00 +0200

python-ovsdbapp (1.9.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 14:56:46 +0200

python-ovsdbapp (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 12:50:20 +0100

## python-ovsdbapp 1.15.1

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,5 @@
 
 fixtures>=3.0.0 # Apache-2.0/BSD
 netaddr>=0.7.18 # BSD
-ovs>=2.8.0 # Apache-2.0
+ovs>=2.10.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-ovsdbapp (1.15.1-0ubuntu2.1) jammy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/yoga branch.

  [ Edward Hope-Morley ]
  * Fix ovsdb transaction retry handling (LP: #1988457)
    - d/p/Fix-TRY_AGAIN-handling.patch: Cherry pick from upstream OpenStack
      stable/yoga branch.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Aug 2024 14:21:07 +0100

python-ovsdbapp (1.15.1-0ubuntu2) jammy; urgency=medium

  * d/p/fix-broken-behavior-after-recent-OVS-update.patch: Cherry-picked
    from upstream to fix broken behavior after recent OVS update
    (LP: #1965819).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Apr 2022 16:30:53 -0400

python-ovsdbapp (1.15.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 10:29:20 -0500

python-ovsdbapp (1.14.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:57:08 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -16,7 +16,6 @@
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
  python3-isort (>= 4.3.21),
  python3-netaddr (>= 0.7.18),
  python3-openstackdocstheme (>= 2.2.1),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/ovsdbapp.git
+UPSTREAM_GIT := https://opendev.org/openstack/ovsdbapp.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export PYBUILD_NAME=ovsdbapp

## python-ovsdbapp 1.15.3

=== debian/changelog ===
python-ovsdbapp (1.15.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:57:16 +0000

python-ovsdbapp (1.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 May 2022 10:40:14 +0200

python-ovsdbapp (1.15.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:23:41 +0100

python-ovsdbapp (1.15.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 10:56:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,19 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://opendev.org/openstack/ovsdbapp.git
+UPSTREAM_GIT := https://github.com/openstack/ovsdbapp.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export PYBUILD_NAME=ovsdbapp
+%:
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
-%:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+override_dh_auto_clean:
+	rm -rf build
+
+override_dh_auto_build:
+	echo "Do nothing..."
+
+override_dh_auto_install:
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-ovsdbapp 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-ovsdbapp (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:49:48 +0200

python-ovsdbapp (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:13:29 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ovsdbapp/tags .*/(\d[brc\d\.]+)\.tar\.gz
